Subject: bug#72442: 31.0.50; Gnus or message.el doesn't handle international message reply subject prefixes and insults users

From: Björn Bidar <[email-masked]>
Date: Fri, 14 Feb 2025 12:22:52 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Thu, 13 Feb 2025 20:04:16 +0200
>> 
>> Robert Pluim <[email-masked]> writes:
>> 
>> >>>>>> On Thu, 13 Feb 2025 19:21:32 +0200, Björn Bidar <[email-masked]> said:
>> >
>> >     Björn> The message manual is still tell insulting users and/or is inaccurate now:
>> >
>> >     >> ‘message-subject-re-regexp’
>> >     >> Responses to messages have subjects that start with ‘Re: ’.  This
>> >     >> is _not_ an abbreviation of the English word “response”, but it
>> >     >> comes from the Latin “res”, and means “in the matter of”.  Some
>> >     >> illiterate nincompoops have failed to grasp this fact, and have
>> >     >> “internationalized” their software to use abominations like ‘Aw: ’
>> >     >> (“antwort”) or ‘Sv: ’ (“svar”) instead, which is meaningless and
>> >     >> evil.  However, you may have to deal with users that use these evil
>> >     >> tools, in which case you may set this variable to a regexp that
>> >     >> matches these prefixes.  Myself, I just throw away non-compliant
>> >     >> mail.
>> >
>> >     Björn> (info "(message) Message Headers")
>> >
>> > That text is slightly different now, but Iʼm not going to bowdlerize
>> > it further.
>> 
>> standards-challenged? The voicing is still passive aggressive. I think
>> it should be enough to say some users might fail to understand or
>> misunderstand. Even better could be to just drop the drop the offhanded
>> comment.
>
> We could choose other words, but are we not allowed in general to
> express contempt towards silly decisions made out of ignorance?

The word standards-challanged sounds like ableism.

If I read RFC 5322 correctly it only states:

"When used in a reply, the field body MAY start with the
 string "Re: " (an abbreviation of the Latin "in re", meaning "in the
 matter of")"

It doesn't say MUST (See section 1.2.1).

So there isn't any ignorance but just no use of Latin for the messagge
prefix. In any case manuals goal should educational, not there to insert
off-handed remarks of localization of Latin terms.  I think this also
related to (info "(standards) GNU Manuals"):

   Remember that the audience for a GNU manual (and other GNU
documentation) is global, and that it will be used for years, maybe
decades.  This means that the reader could have very different cultural
reference points.  Decades from now, all but old folks will have very
different cultural reference points; many things that "everyone knows
about" today may be mostly forgotten.

   For this reason, try to avoid writing in a way that depends on
cultural reference points for proper understanding, or that refers to
them in ways that would impede reading for someone that doesn't
recognize them.

In this context there is nothing impeding directly but certainly
distracts from the purpose of the manual and makes it looks like it's ok
to just drop answers which not use the Latin prefix although that's
perfectly ok, even if the applicable RFC 5322 is the deciding factor. 

>> I don't think insulting or judging user who don't use English
>> as their native language is a good thing.
>
> As the text says, "res" is Latin, not English.  So this has nothing to
> do with native English speakers.

Those who use English might want to use "Re:" based on the Latin "res"
but that doesn't  mean everyone else uses this Latin based abbreviation.
So just because it's custom in the English speaking world doesn't mean
it's done everywhere else.